Disable Payout Destination
curl --request POST \
--url https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries/{beneficiary_id}/payout-destinations/{destination_id}/disable \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries/{beneficiary_id}/payout-destinations/{destination_id}/disable"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries/{beneficiary_id}/payout-destinations/{destination_id}/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Payout Destinations
Disable Payout Destination
Temporarily disable a payout destination
POST
/
v1
/
accounts
/
{account_id}
/
beneficiaries
/
{beneficiary_id}
/
payout-destinations
/
{destination_id}
/
disable
Disable Payout Destination
Path Parameters
string
required
The account’s external ID (starts with
acct_)string
required
The beneficiary’s external ID (starts with
bene_)string
required
The payout destination’s external ID (starts with
dest_)Response
Returns the payout destination object with updated status.Response Example
{
"id": "dest_1234567890abcdef",
"object": "payout_destination",
"beneficiary_id": "bene_9gt1ummgx127biovlurm9mq2",
"country": "US",
"payout_method": "ach",
"type": "bank_account",
"label": null,
"currency": "USD",
"network": null,
"status": "disabled",
"account_number_last4": "7890",
"routing_number": "021000021",
"account_type": "checking",
"is_default": true,
"created": "2024-01-15T10:00:00Z",
"updated": "2024-01-16T10:00:00Z"
}
⌘I